### Method

# Dex AsyncResult await

#### Declaration [src]

    void
    dex_async_result_await (
      DexAsyncResult* async_result,
      DexFuture* future
    )

#### Description [src]

Tracks the result of `future` and uses the value to complete `async_result`, eventually calling the registered `GAsyncReadyCallback`.

#### Parameters

`future`

  Type: `DexFuture`

  A `DexFuture`.

  The instance takes ownership of the data, and is responsible for freeing it.